
Figure - Bug #118911
【AF】【VC1】【台架】【副屏】在屏保界面待机5秒，手动退出屏保能进入到屏保前的界面，但瞬间就会黑
屏
2023-06-28 11:23 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-06-28

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏版本：0115

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: 20230629   DB版本

Reproducibility: Every time Fixed Version: 2023-06-29

Test Type: ST Root cause: 编码问题

Description

【环境信息】

台架

【问题出现时间】

视频时间27秒

【前提条件】

设备正常上电

【操作步骤】

1.进入屏保待机5秒

2.点击退出屏保

【实际结果】

退出屏保能进入到屏保前的界面，但瞬间就会黑屏

【期望结果】

退出屏保能进入到屏保前的界面，无其他动作

History

#1 - 2023-06-28 14:39 - CD APP-王营

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to 物联网测试组_TSCD 王维

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-29

- Root cause set to 编码问题

【分析】

1、需求是在进入屏保5秒后启动息屏，在5秒的时间点执行点击操作，唤醒屏保，息屏的task是在onDestroy方法中移除，在唤醒瞬间task需要被移除，这种

极限操作会导致task来不及移除，进而task被执行。

2、修复方案是在执行wakeup之前就将息屏task取消掉。

【提交】
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/210740

#2 - 2023-06-28 14:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

210740 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver： Optimize close screen after dream started 5 secondsTC-RID: 1201-0300601IssueID: TS-R-BUG-118911Change-Id:

I7d1999cdabb889ddf1be9fd730d9e13ae3759e09

#3 - 2023-06-28 21:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

210852 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF: ScreenSaver： Optimize close screen after dream started 5 secondsTC-RID: 1201-0300601IssueID: TS-R-BUG-118911Change-Id:

I7d1999cdabb889ddf1be9fd730d9e13ae3759e09(cherry picked from commit a5f59ed0d63e31996d36674102752e41c80efe27)

#4 - 2023-06-29 17:05 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 20230629   DB版本

验证通过

#5 - 2023-06-29 17:05 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

4.mp4 7.48 MB 2023-06-28 物联网测试组_TSCD 王维

4.txt 4.88 MB 2023-06-28 物联网测试组_TSCD 王维
